##
# truncate extends String to shorten text by character length or number of
# words. 

class String
  
  ##
  # The main "truncate" class can be passed a length (in number of characters)
  # and / or a custom omission. 
  # The default length is 20 characters and the default omission is "...".

  def truncate(length = 20, omis = "...")
    text = self.dup
    if text.length > length
      text = text[0...length].strip + omis
    end
    text
  end

  ##
  # The "words" method can be passed a length (in number of words, 
  # splitting on " ") and / or a custom omission. 
  # The default length is 5 words and the default omission is "...".

  def words(length = 5, omis = "...")
    text = self.dup
    array = text.split(" ")
    if array.length > length
      text = array[0...length].join(" ") + omis
    end
    text
  end

end
